@import url('https://fonts.googleapis.com/css2?family=Archivo:wght@300;400;500;600;700&display=swap');

body {
  background-color: #EBCBBF;
}

@media (min-width: 951px) {
  header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: center;
    background-color: #6FB896;
  }
  
  .slider-container {
    margin: 80px auto;
    width: 415px;
    height: 415px;
    overflow: hidden;
    position: relative;
  }

  .slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
  }

  .slider img {
    width: 415px;
    height: 415px;
  }

  .slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    outline: none;
    z-index: 2;
  }

  .prev {
    left: 0;
  }

  .next {
    right: 0;
  }

  main {
    margin: 0 auto;
    width: 80vw;
    display: flex;
    flex-wrap: wrap;
    column-gap: 15vw;
    row-gap: 5vw;
    justify-content: space-around;
  }

  section {
    width: fit-content;
    text-align: center;
    cursor: pointer;
    padding: 8px;
  }

  section:hover {
    border: solid 1px #000;
    border-radius: 10px;
  }

  section img {
    width: 10vw;
    max-width: 120px;
    height: 10vw;
    max-height: 120px;
  }

  p {
    font: normal 500 1.2rem 'Archivo', sans-serif;
  }

  .floatWhatsApp {
    margin: 0;

    position: fixed;
    bottom: 20px;
    right: 20px;

    width: 80px;
    height: 80px;
    cursor: pointer;
    
    border-radius: 50px;
    border: 2px solid #FFF;
    z-index: 100;

    animation: floatWhatsapp 1.2s infinite;
  }

  @keyframes floatWhatsapp {
    0% {
      width: 85px;
      height: 85px;
    }
    50% {
      width: 90px;
      height: 90px;
    }
    100% {
      width: 90px;
      height: 90px;
    }
  }

  .floatWhatsApp:hover {
    width: 85px;
    height: 85px;
  }
}

@media (max-width: 950px) {
  header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    background-color: #6FB896;
  }
  
  .slider-container {
    margin: 60px 0;
    width: 100%;
    height: 360px;
    overflow: hidden;
    position: relative;
  }

  .slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
  }

  .slider img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    outline: none;
    z-index: 2;
  }

  .prev {
    left: 0;
  }

  .next {
    right: 0;
  }

  main {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 3vh;
    justify-content: space-around;
  }

  section {
    width: 40vw;
    text-align: center;
    cursor: pointer;
    box-sizing: border-box;
    padding: 8px;
  }

  section img {
    width: 10vw;
    max-width: 120px;
    height: 10vw;
    max-height: 120px;
  }

  p {
    font: normal 500 0.9rem 'Archivo', sans-serif;
  }

  .floatWhatsApp {
    margin: 0;

    position: fixed;
    bottom: 20px;
    right: 20px;

    cursor: pointer;
    
    border-radius: 50px;
    border: 2px solid #FFF;
    z-index: 100;

    animation: floatWhatsapp 1.7s infinite;
  }

  @keyframes floatWhatsapp {
    0% {
      width: 65px;
      height: 65px;
    }
    50% {
      width: 70px;
      height: 70px;
    }
    100% {
      width: 65px;
      height: 65px;
    }
  }

  .floatWhatsApp:active {
    width: 65px;
    height: 65px;
  }
}
